#=================================================
#         Data for Logo MSA plots
#=================================================
cat("\n=========================================="
    , "\nLogo MSA Plots Data: ALL params"
    , "\n=========================================")

#msa1 = read.csv("/home/tanu/git/Data/cycloserine/output/gid_msa.csv", header = F)
#head(msa1)
#msa_seq= msa1$V1
#head(msa_seq)

#msa2 = read.csv("/home/tanu/git/Data/cycloserine/input/gid.1fasta", header = F)
#head(msa2)
#wt_seq = msa2$V1
#head(wt_seq)

# BOTH WORK
#LogoPlotMSA(msa_seq, wt_seq)
#LogoPlotMSA(msa1, msa2)
#####################################

#================
# MSA file: muts
#================

in_filename_msa = paste0(tolower(gene), "_msa.csv") 
infile_msa = paste0(outdir, "/", in_filename_msa)
cat("\nInput file for MSA plots: ", infile_msa, "\n")

msa1 = read.csv(infile_msa, header = F)
head(msa1)
cat("\nLength of MSA:", nrow(msa1))
msa_seq = msa1$V1
head(msa_seq)

#================
# fasta file: wt 
#================
  
#in_filename_fasta = paste0(tolower(gene), ".1fasta") 
in_filename_fasta = paste0(tolower(gene), "2_f2.fasta") # gid 

infile_fasta = paste0(indir, "/", in_filename_fasta)
cat("\nInput fasta file for WT: ", infile_fasta, "\n")  

msa2 = read.csv(infile_fasta, header = F)
head(msa2)
cat("\nLength of WT fasta:", nrow(msa2))
wt_seq = msa2$V1
head(wt_seq)  
